### Method

# GLib BookmarkFile get_applications

since: 2.12

#### Declaration

    gchar**
    g_bookmark_file_get_applications (
      GBookmarkFile* bookmark,
      const gchar* uri,
      gsize* length,
      GError** error
    )

#### Description

Retrieves the names of the applications that have registered the bookmark for `uri`.

In the event the URI cannot be found, `NULL` is returned and `error` is set to `G_BOOKMARK_FILE_ERROR_URI_NOT_FOUND`.

Available since: 2.12

#### Parameters

`uri`

  Type: `const gchar*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gsize*`

  Return location of the length of the returned list, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A newly allocated `NULL`-terminated array of strings. Use `g_strfreev()` to free it.

The length of the array is in the `length` argument.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.